#setwd("C:/Users/rabia_000/Desktop/Fragile Families Challenge")
#filename ="./FFChallenge/Backup/Wave1.csv"
#outname ="./FFChallenge/WaveBF_clean.csv"
#data = read.csv(filename)
#attach(data)

drop = which(names(newdata) %in% c("f1b1b","f1b20", "f1b25a","f1b25b","f1b25c", "f1b25d","f1b25e", "cf1span", "cf1tele", "cf1hhimp",
                                   "f1e1b1", "f1e1b2", "f1e1b3", "f1e1b4", "f1e1b5", "f1b20", "cf1fint", "cf1finjail",
                                   "f1e1b6", "f1e1b7", "f1e1b8", "f1e1c1", "f1e1c2", "f1e1c3", "f1e1c4", "f1e1c5", "f1e1c6", "f1e1c7", "f1e1c8", "f1e1d1", 
                                   "f1e1d2", "f1e1d3", "f1e1d4", "f1e1d5", "f1e1d6", "f1e1d7", "f1e1d8", "f1e1e1", "f1e1e2", "f1e1e3", "f1e1e4", "f1e1e5", 
                                   "f1e1e6", "f1e1e7", "f1e1e8"))




newdata = newdata[,-drop] 


###################### recoding ##############################
#newdata$f1a4a[f1a4 == 1 & f1a4a == -6] = 0  # will not have father'slast name 
#newdata$f1a5[f1a5 == 1 & f1a5a == -6]=0 # will have father last name of BC 
newdata$f1a6a[f1a6 == 2 & f1a6a == -6]=0 # No biological children
newdata$f1b3[f1b2 == 1 & f1b3 == -6]=0  # married to baby mother

newdata$f1b4a[f1b2 == 1 | f1b3 == 1 | f1b3 == 2] = 3 #(didn't end if still married or never started)
newdata$f1b4b[f1b2 == 1 | f1b3 == 1 | f1b3 == 2] = 3 #(didn't end if still married or never started)
newdata$f1b4c[f1b2 == 1 | f1b3 == 1 | f1b3 == 2] = 3 #(didn't end if still married or never started)
newdata$f1b4d[f1b2 == 1 | f1b3 == 1 | f1b3 == 2] = 3 #(didn't end if still married or never started)
newdata$f1b4e[f1b2 == 1 | f1b3 == 1 | f1b3 == 2] = 3 #(didn't end if still married or never started)
newdata$f1b4f[f1b2 == 1 | f1b3 == 1 | f1b3 == 2] = 3 #(didn't end if still married or never started)
newdata$f1b4g[f1b2 == 1 | f1b3 == 1 | f1b3 == 2] = 3 #(didn't end if still married or never started)

newdata$f1b8[f1b2 == 1] = 1 #(assume live together if married)
newdata$f1b8[f1b3 > 2] = 2 #(not living together if reln ended)

newdata$f1b9[f1b8 == 1] = 0 #(make factor and add level for already living together)
newdata$f1b9[f1b2 == 1] = 0 #(assume married are living together)
newdata$f1b9[f1b3 > 2] = 2 #Assume if rel'n has ended they are not living together

newdata$f1b9a1[newdata$f1b8 == 1] = 0 #(make factor and add level for already living together)
newdata$f1b9a1[newdata$f1b9 == 1] = 4 #(add level for are planning)
newdata$f1b9a1[f1b3 >2] = 5 #(add level for no b/c rel'n ended)

newdata$f1b9a2[newdata$f1b8 == 1] = 0 #(make factor and add level for already living together)
newdata$f1b9a2[newdata$f1b9 == 1] = 4 #(add level for are planning)
newdata$f1b9a2[f1b3 >2] = 5 #(add level for no b/c rel'n ended)

newdata$f1b9a3[newdata$f1b8 == 1] = 0 #(make factor and add level for already living together)
newdata$f1b9a3[newdata$f1b9 == 1] = 4 #(add level for are planning)
newdata$f1b9a3[f1b3 >2] = 5 #(add level for no b/c rel'n ended)

newdata$f1b9a4[newdata$f1b8 == 1] = 0 #(make factor and add level for already living together)
newdata$f1b9a4[newdata$f1b9 == 1] = 4 #(add level for are planning)
newdata$f1b9a4[f1b3 >2] = 5 #(add level for no b/c rel'n ended)

newdata$f1b9a5[newdata$f1b8 == 1] = 0 #(make factor and add level for already living together)
newdata$f1b9a5[newdata$f1b9 == 1] = 4 #(add level for are planning)
newdata$f1b9a5[f1b3 >2] = 5 #(add level for no b/c rel'n ended)

newdata$f1b9a6[newdata$f1b8 == 1] = 0 #(make factor and add level for already living together)
newdata$f1b9a6[newdata$f1b9 == 1] = 4 #(add level for are planning)
newdata$f1b9a6[f1b3 >2] = 5 #(add level for no b/c rel'n ended)

newdata$f1b9a7[newdata$f1b8 == 1] = 0 #(make factor and add level for already living together)
newdata$f1b9a7[newdata$f1b9 == 1] = 4 #(add level for are planning)
newdata$f1b9a7[f1b3 >2] = 5 #(add level for no b/c rel'n ended)

newdata$f1b9a8[newdata$f1b8 == 1] = 0 #(make factor and add level for already living together)
newdata$f1b9a8[newdata$f1b9 == 1] = 4 #(add level for are planning)
newdata$f1b9a8[f1b3 >2] = 5 #(add level for no b/c rel'n ended)

newdata$f1b9a9[newdata$f1b8 == 1] = 0 #(make factor and add level for already living together)
newdata$f1b9a9[newdata$f1b9 == 1] = 4 #(add level for are planning)
newdata$f1b9a9[f1b3 >2] = 5 #(add level for no b/c rel'n ended)

newdata$f1b9a10[newdata$f1b8 == 1] = 0 #(make factor and add level for already living together)
newdata$f1b9a10[newdata$f1b9 == 1] = 4 #(add level for are planning)
newdata$f1b9a10[f1b3 >2] = 5 #(add level for no b/c rel'n ended)

newdata$f1b9a11[newdata$f1b8 == 1] = 0 #(make factor and add level for already living together)
newdata$f1b9a11[newdata$f1b9 == 1] = 4 #(add level for are planning)
newdata$f1b9a11[f1b3 >2] = 5 #(add level for no b/c rel'n ended)

newdata$f1b9b1[newdata$f1b8 == 1] = 0 #(make factor and add level for already living together)
newdata$f1b9b1[newdata$f1b9 == 2] = 4 #(add level for not planning) 
newdata$f1b9b1[f1b3 >2] = 5 #(add level for no b/c rel'n ended)

newdata$f1b9b2[newdata$f1b8 == 1] = 0 #(make factor and add level for already living together)
newdata$f1b9b2[newdata$f1b9 == 2] = 4 #(add level for not planning) 
newdata$f1b9b2[f1b3 >2] = 5 #(add level for no b/c rel'n ended)

newdata$f1b9b3[newdata$f1b8 == 1] = 0 #(make factor and add level for already living together)
newdata$f1b9b3[newdata$f1b9 == 2] = 4 #(add level for not planning) 
newdata$f1b9b3[f1b3 >2] = 5 #(add level for no b/c rel'n ended)

newdata$f1b9b4[newdata$f1b8 == 1] = 0 #(make factor and add level for already living together)
newdata$f1b9b4[newdata$f1b9 == 2] = 4 #(add level for not planning) 
newdata$f1b9b4[f1b3 >2] = 5 #(add level for no b/c rel'n ended)

newdata$f1b9b5[newdata$f1b8 == 1] = 0 #(make factor and add level for already living together)
newdata$f1b9b5[newdata$f1b9 == 2] = 4 #(add level for not planning) 
newdata$f1b9b5[f1b3 >2] = 5 #(add level for no b/c rel'n ended)

newdata$f1b9b6[newdata$f1b8 == 1] = 0 #(make factor and add level for already living together)
newdata$f1b9b6[newdata$f1b9 == 2] = 4 #(add level for not planning) 
newdata$f1b9b6[f1b3 >2] = 5 #(add level for no b/c rel'n ended)

newdata$f1b9b7[newdata$f1b8 == 1] = 0 #(make factor and add level for already living together)
newdata$f1b9b7[newdata$f1b9 == 2] = 4 #(add level for not planning) 
newdata$f1b9b7[f1b3 >2] = 5 #(add level for no b/c rel'n ended)

newdata$f1b9b8[newdata$f1b8 == 1] = 0 #(make factor and add level for already living together)
newdata$f1b9b8[newdata$f1b9 == 2] = 4 #(add level for not planning) 
newdata$f1b9b8[f1b3 >2] = 5 #(add level for no b/c rel'n ended)

newdata$f1b9b9[newdata$f1b8 == 1] = 0 #(make factor and add level for already living together)
newdata$f1b9b9[newdata$f1b9 == 2] = 4 #(add level for not planning) 
newdata$f1b9b9[f1b3 >2] = 5 #(add level for no b/c rel'n ended)

newdata$f1b9b10[newdata$f1b8 == 1] = 0 #(make factor and add level for already living together)
newdata$f1b9b10[newdata$f1b9 == 2] = 4 #(add level for not planning) 
newdata$f1b9b10[f1b3 >2] = 5 #(add level for no b/c rel'n ended)

newdata$f1b9b11[newdata$f1b8 == 1] = 0 #(make factor and add level for already living together)
newdata$f1b9b11[newdata$f1b9 == 2] = 4 #(add level for not planning) 
newdata$f1b9b11[f1b3 >2] = 5 #(add level for no b/c rel'n ended)

newdata$f1b10[f1b2 == 1] = 0 #(make factor and add level for already married)
newdata$f1b10[f1b3 >2] = 3 #(add level for no b/c rel'n ended)
newdata$f1b10[f1b9==2] = 2 #(assume not planning to marry if answered no to marry or live together)

newdata$f1b10a1[f1b2 == 1] = 0 #(make factor and add level for already married)
newdata$f1b10a1[f1b3 >2] = 3 #(add level for no b/c rel'n ended

newdata$f1b10a2[f1b2 == 1] = 0 #(make factor and add level for already married)
newdata$f1b10a2[f1b3 >2] = 3 #(add level for no b/c rel'n ended

newdata$f1b10a3[f1b2 == 1] = 0 #(make factor and add level for already married)
newdata$f1b10a3[f1b3 >2] = 3 #(add level for no b/c rel'n ended  

newdata$f1b10a4[f1b2 == 1] = 0 #(make factor and add level for already married)
newdata$f1b10a4[f1b3 >2] = 3 #(add level for no b/c rel'n ended  

newdata$f1b10a5[f1b2 == 1] = 0 #(make factor and add level for already married)
newdata$f1b10a5[f1b3 >2] = 3 #(add level for no b/c rel'n ended  

newdata$f1b10a6[f1b2 == 1] = 0 #(make factor and add level for already married)
newdata$f1b10a6[f1b3 >2] = 3 #(add level for no b/c rel'n ended  

newdata$f1b10a7[f1b2 == 1] = 0 #(make factor and add level for already married)
newdata$f1b10a7[f1b3 >2] = 3 #(add level for no b/c rel'n ended  

newdata$f1b10a8[f1b2 == 1] = 0 #(make factor and add level for already married)
newdata$f1b10a8[f1b3 >2] = 3 #(add level for no b/c rel'n ended  

newdata$f1b10a9[f1b2 == 1] = 0 #(make factor and add level for already married)
newdata$f1b10a9[f1b3 >2] = 3 #(add level for no b/c rel'n ended  

newdata$f1b10a10[f1b2 == 1] = 0 #(make factor and add level for already married)
newdata$f1b10a10[f1b3 >2] = 3 #(add level for no b/c rel'n ended  

newdata$f1b10a11[f1b2 == 1] = 0 #(make factor and add level for already married)
newdata$f1b10a11[f1b3 >2] = 3 #(add level for no b/c rel'n ended                            

newdata$f1b10b1[f1b2 == 1] = 0 #(make factor and add level for already married)
newdata$f1b10b1[f1b3 >2] = 3 #(add level for no b/c rel'n ended                            

newdata$f1b10b2[f1b2 == 1] = 0 #(make factor and add level for already married)
newdata$f1b10b2[f1b3 >2] = 3 #(add level for no b/c rel'n ended                            

newdata$f1b10b3[f1b2 == 1] = 0 #(make factor and add level for already married)
newdata$f1b10b3[f1b3 >2] = 3 #(add level for no b/c rel'n ended                            

newdata$f1b10b4[f1b2 == 1] = 0 #(make factor and add level for already married)
newdata$f1b10b4[f1b3 >2] = 3 #(add level for no b/c rel'n ended                            

newdata$f1b10b5[f1b2 == 1] = 0 #(make factor and add level for already married)
newdata$f1b10b5[f1b3 >2] = 3 #(add level for no b/c rel'n ended                            

newdata$f1b10b6[f1b2 == 1] = 0 #(make factor and add level for already married)
newdata$f1b10b6[f1b3 >2] = 3 #(add level for no b/c rel'n ended                            

newdata$f1b10b7[f1b2 == 1] = 0 #(make factor and add level for already married)
newdata$f1b10b7[f1b3 >2] = 3 #(add level for no b/c rel'n ended                            

newdata$f1b10b8[f1b2 == 1] = 0 #(make factor and add level for already married)
newdata$f1b10b8[f1b3 >2] = 3 #(add level for no b/c rel'n ended                            

newdata$f1b10b9[f1b2 == 1] = 0 #(make factor and add level for already married)
newdata$f1b10b9[f1b3 >2] = 3 #(add level for no b/c rel'n ended                            

newdata$f1b10b10[f1b2 == 1] = 0 #(make factor and add level for already married)
newdata$f1b10b10[f1b3 >2] = 3 #(add level for no b/c rel'n ended                            

newdata$f1b10b11[f1b2 == 1] = 0 #(make factor and add level for already married)
newdata$f1b10b11[f1b3 >2] = 3 #(add level for no b/c rel'n ended                            


newdata$f1b15a[f1b15a == -6 & f1b2 == 1]=0  # marrried
newdata$f1b15b[f1b15b == -6 & f1b2 == 1]=0
newdata$f1b15c[f1b15c == -6 & f1b2 == 1]=0
newdata$f1b15d[f1b15d == -6 & f1b2 == 1]=0
newdata$f1b15e[f1b15e == -6 & f1b2 == 1]=0
newdata$f1b15f[f1b15f == -6 & f1b2 == 1]=0


newdata$f1b16[f1b16 == -6 & f1b2 == 1]=0  # married
newdata$f1b17[f1b17 == -6 & f1b2 == 1]=0 
newdata$f1b18[f1b18 == -6 & f1b2 == 1]=0 

newdata$f1b20[f1b20 == -6 & f1b2 == 1]=1  # married assumed living together 
newdata$f1b21a[f1b21 == 2]=0   # unmarried assumed living together


newdata$cf1cohm[cf1cohm == 0 & f1b2 == 1]=2   # already married 

newdata$f1e4a[f1e4 == 2 & f1e4a == -6]=0 # no other man like a father 
newdata$f1e6b1[f1e6b1 == -6 & f1e6a == 2]=2 # did not recieve financial support
newdata$f1e6b2[f1e6b2 == -6 & f1e6a == 2]=2
newdata$f1e6b3[f1e6b3 == -6 & f1e6a == 2]=2
newdata$f1e6b4[f1e6b4 == -6 & f1e6a == 2]=2
newdata$f1e6b5[f1e6b5 == -6 & f1e6a == 2]=2

newdata$f1e6d1[f1e6d1 == -6 & f1e6a == 2]=2 # did not recieve a place to live
newdata$f1e6d2[f1e6d2 == -6 & f1e6a == 2]=2
newdata$f1e6d3[f1e6d3 == -6 & f1e6a == 2]=2
newdata$f1e6d4[f1e6d4 == -6 & f1e6a == 2]=2
newdata$f1e6d5[f1e6d5 == -6 & f1e6a == 2]=2

#newdata$f1f1a[f1f1b > 0] = newdata$f1f1a[f1f1b > 0] + newdata$f1f1b[f1f1b > 0]/12
#newdata$f1f1a[f1f1c==1] =  round(cf1age[f1f1c==1])
#newdata$f1f1b[f1f1c==1] = NA

#newdata$f1h2b[f1h2b == -6 & f1h2 == 1]=0  # born in US 
#newdata$f1h2c[f1h2c == -6 & f1h2 == 1]=0
#newdata$f1i2a1[f1i2a1 == -6 & f1i2 == 2]= 0   #did not recieve skill training
#newdata$f1j2[f1j2 == -6 & f1j1 == 1]=0   # did work regularly last week  
#newdata$f1j3[f1j3 == -6 & f1j1 == 1]= 0 # have a regular job 
#newdata$f1j3[f1j3 == -6 & f1j2 == 2]= 0 # and not currently looking for a job
#newdata$f1j3a[f1j3a == -6 & f1j1 == 1]= 0 # have a regular job 
#newdata$f1j3a[f1j3a == -6 & f1j2 == 2]= 0 # and not currently looking for a job

#newdata$f1j3b[f1j3b == -6 & f1j1 == 1]= 1 # have a regular job "yes"
#newdata$f1j3b[f1j3b == -6 & f1j2 == 1]= 0
 


#newdata$f1j4[f1j4 == -6 & f1j1 == 1]= 0 # have a regular job "yes"
#newdata$f1j4[f1j4 == -6 & f1j3b == 1]= 0 # have a job
#newdata$f1j4[f1j4 == -6 & f1j3b == 4]= 0 # Disabled
#newdata$f1j4[f1j4== -6 & f1j3b == 8]= 0  # own buisness 


#newdata$f1j5a[f1j5a == -6 & f1j1 == 1]= 0 # have a regular job "yes"
#newdata$f1j5a[f1j5a == -6 & f1j3b == 1]= 0 # have a job
#newdata$f1j5a[f1j5a == -6 & f1j3b == 8]= 0 # own buisness

#newdata$f1j5c[f1j5c == -6 & f1j1 == 1]= 0 ## have a regular job "yes" assumed worked for 2 conseqcutive week
#newdata$f1j5c[f1j5c == -6 & f1j5a >= 0]= 0 ## have regular job last month for 2weeks assumed worked for 2 conseqcutive week

newdata$f1j6[f1j6 == -6 & f1j1 == 2]= 0 # did not have a regular job 
newdata$f1j7a[f1j7a == -6 & f1j1 == 2]= 0 # did not have a regular job
newdata$f1j8[f1j8 == -6 & f1j1 == 2]= 0  # did not have a regular job
newdata$f1j8a[f1j8a == -6 & f1j1 == 2]= 0
newdata$f1j9[f1j9 == -6 & f1j1 == 2]= 0
newdata$f1j10[f1j10 == -6 & f1j1 == 2]= 99
newdata$f1j11[f1j11 == -6 & f1j1 == 2]= 0

newdata$f1j14a[f1j14a == -6 & f1j13a == 2]= 0 # did not have any other activity to make money
#newdata$f1j14b[f1j14b == -6 & f1j13b == 2]= 0   # did not work in owm busisness
#newdata$f1j14d[f1j14d == -6 & f1j13d == -3]= 0   # not engaged in activies specified 

newdata$f1j15a[f1j15a == -6 & f1j13a == 2]= 0 # did not have any other activity to make money
#newdata$f1j15b[f1j15b == -6 & f1j13b == 2]= 0   # did not work in owm busisness
#newdata$f1j15d[f1j15d == -6 & f1j13d == -3]= 0   # not engaged in activies specified

newdata$f1j16a[f1j16a == -6 & f1j13a == 2]= 0 # did not have any other activity to make money
#newdata$f1j16b[f1j16b == -6 & f1j13b == 2]= 0   # did not work in owm busisness
#newdata$f1j16d[f1j16d == -6 & f1j13d == -3]= 0   # not engaged in activies specified
#newdata$f1k2a[f1k2a == -6 & f1k1a == 2]= 0     # did not recieve money form walfare
#newdata$f1k2b[f1k2b == -6 & f1k1b == 2]= 0  # did not recieve money from unemp
newdata$f1k2c[f1k2c == -6 & f1k1c == 2]= 0  # did not recieve money from family/friends
newdata$f1k2c[f1k2c == -6 & f1k1c == 2]= 0  # did not recieve money from family/friends

#########
#Merge parallel questions
#########
#f1b5x and f1b11x and f1b22x  (These three asked separately for those who are married or unmarried and are/ are not still involved with baby's nother)
#need to combine values for those skipped on one question but responded in another section - so only updating -6's, not other values
#newdata$f1b5a[f1b5a==-6]=f1b11a[f1b5a==-6]
#newdata$f1b5a[f1b5a==-6 & f1b11a ==-6] = f1b22a[f1b5a==-6 & f1b11a ==-6]
#newdata$f1b5b[f1b5b==-6]=f1b11b[f1b5b==-6]
#newdata$f1b5b[f1b5b==-6 & f1b11b ==-6] = f1b22b[f1b5b==-6 & f1b11b ==-6]
#newdata$f1b5c[f1b5c==-6]=f1b11c[f1b5c==-6]
#newdata$f1b5c[f1b5c==-6 & f1b11c ==-6] = f1b22c[f1b5c==-6 & f1b11c ==-6]
#newdata$f1b5d[f1b5d==-6]=f1b11d[f1b5d==-6]
#newdata$f1b5d[f1b5d==-6 & f1b11d ==-6] = f1b22d[f1b5d==-6 & f1b11d ==-6]
drop = which(names(newdata) %in% c("f1b11a", "f1b22a", "f1b11b", "f1b22b", "f1b11c", "f1b22c", "f1b11d", "f1b22d"))
newdata = newdata[,-drop]

#f1b6x and f1b12x and f1b23x (These three asked separately for those who are married or unmarried and are/ are not still involved with baby's mother)
#newdata$f1b6a[f1b6a==-6]=f1b12a[f1b6a==-6]
#newdata$f1b6a[f1b6a==-6 & f1b12a ==-6] = f1b23a[f1b6a==-6 & f1b12a ==-6]
#newdata$f1b6b[f1b6b==-6]=f1b12b[f1b6b==-6]
#newdata$f1b6b[f1b6b==-6 & f1b12b ==-6] = f1b23b[f1b6b==-6 & f1b12b ==-6]
#newdata$f1b6c[f1b6c==-6]=f1b12c[f1b6c==-6]
#newdata$f1b6c[f1b6c==-6 & f1b12c ==-6] = f1b23c[f1b6c==-6 & f1b12c ==-6]
#newdata$f1b6d[f1b6d==-6]=f1b12d[f1b6d==-6]
#newdata$f1b6d[f1b6d==-6 & f1b12d ==-6] = f1b23d[f1b6d==-6 & f1b12d ==-6]
#newdata$f1b6e[f1b6e==-6]=f1b12e[f1b6e==-6]
#newdata$f1b6e[f1b6e==-6 & f1b12e ==-6] = f1b23e[f1b6e==-6 & f1b12e ==-6]
#newdata$f1b6f[f1b6f==-6]=f1b12f[f1b6f==-6]
#newdata$f1b6f[f1b6f==-6 & f1b12f ==-6] = f1b23f[f1b6f==-6 & f1b12f ==-6]
drop = which(names(newdata) %in% c("f1b12a", "f1b23a", "f1b12b", "f1b23b", "f1b12c", "f1b23c", "f1b12d", "f1b23d", "f1b12e", "f1b23e", "f1b12f", "f1b23f"))
newdata = newdata[,-drop]

#f1b7x and f1b13x and f1b25x  (These three asked separately for those who are married or unmarried and are/ are not still involved with baby's mother)
#newdata$f1b7a[f1b7a==-6]=f1b13a[f1b7a==-6]
#newdata$f1b7a[f1b7a==-6 & f1b13a ==-6] = f1b25a[f1b7a==-6 & f1b13a ==-6]
#newdata$f1b7b[f1b7b==-6]=f1b13b[f1b7b==-6]
#newdata$f1b7b[f1b7b==-6 & f1b13b ==-6] = f1b25b[f1b7b==-6 & f1b13b ==-6]
#newdata$f1b7c[f1b7c==-6]=f1b13c[f1b7c==-6]
#newdata$f1b7c[f1b7c==-6 & f1b13c ==-6] = f1b25c[f1b7c==-6 & f1b13c ==-6]
#newdata$f1b7d[f1b7d==-6]=f1b13d[f1b7d==-6]
#newdata$f1b7d[f1b7d==-6 & f1b13d ==-6] = f1b25d[f1b7d==-6 & f1b13d ==-6]
#newdata$f1b7e[f1b7e==-6]=f1b13e[f1b7e==-6]
#newdata$f1b7e[f1b7e==-6 & f1b13e ==-6] = f1b25e[f1b7e==-6 & f1b13e ==-6]
drop = which(names(newdata) %in% c("f1b13a", "f1b25a", "f1b13b", "f1b25b", "f1b13c", "f1b25c", "f1b13d", "f1b25d", "f1b13e", "f1b25e", "f1b13f", "f1b25f"))
newdata = newdata[,-drop]


drop = which(names(newdata) %in% c('f1f1c', 'f1f1b',"f1i2a2", "f1i3a2", "f1j10", "f1j13a", "f1j13b", "f1j16a", "f1j16b", "f1j16d", 
                                   "f1j14a", "f1j14b", "f1j14d", "f1j15a", "f1j15b", "f1j15d", "f1k2a", "f1k2b", "f1k2c", "f1k3"))
newdata = newdata[,-drop]
