#setwd("C:/Users/rabia_000/Desktop/Fragile Families Challenge")
#filename ="./FFChallenge/Backup/Wave1.csv"
#outname ="./FFChallenge/Wave1_clean.csv"
#data = read.csv(filename)
#attach(data)

drop = which(names(newdata) %in% c("idnum","mothid1","m1intmon","m1intyr","m1lenhr","m1lenmin","cm1twoc","cm1fint","cm1natsm","m1natwt",
                                "cm1natsmx","m1natwtx","cm1citsm","m1citywt","innatsm","incitysm","m1a8","f1citywt","cf1citsm",
                                "f1natwtx","cf1natsmx","f1natwt","cf1natsm","cf1twoc","f1lenmin","f1lenhr","f1intyr","f1intmon",
                                "fathid1", "cm1tdiff","m1g3","m1j2a","m1j2b","m1j2c","m1j2d","mx1j2", 'm1i4', "m1e1b1", "m1e1b2", "m1e1b3", "m1e1b4", "m1e1b5", 
                                "m1e1b6", "m1e1b7", "m1e1b8", "m1e1c1", "m1e1c2", "m1e1c3", "m1e1c4", "m1e1c5", "m1e1c6", "m1e1c7", "m1e1c8", "m1e1d1", 
                                "m1e1d2", "m1e1d3", "m1e1d4", "m1e1d5", "m1e1d6", "m1e1d7", "m1e1d8", "m1e1e1", "m1e1e2", "m1e1e3", "m1e1e4", "m1e1e5", 
                                "m1e1e6", "m1e1e7", "m1e1e8", "m1i2d1", "m1i10", "m1j3", "cm1hhimp", "cm1span", "cm1finjail"))




newdata = newdata[,-drop] 
# Recoding
#Skip recoding 
#(Adding a fator "Father is unknown")
newdata$m1b14[m1a4==3 & m1b14== -6] = 6  
newdata$m1b14a[m1a4==3 & m1b14a== -6]= 6 
newdata$m1b15a[m1a4==3 & m1b15a== -6]= 6 
newdata$m1b15b[m1a4==3 & m1b15b== -6]= 6 
newdata$m1b15c[m1a4==3 & m1b15c== -6]= 6 
newdata$m1b15d[m1a4==3 & m1b15c== -6]= 6 
newdata$m1b15e[m1a4==3 & m1b15e== -6]= 6 
newdata$m1b15f[m1a4==3 & m1b15f== -6]= 6 
newdata$m1b16[m1a4==3 & m1b16== -6]= 3
newdata$m1b17[m1a4==3 & m1b17== -6]= 3 
newdata$m1b18[m1a4==3 & m1b18== -6]= 3 
newdata$m1b19[m1a4==3]=3
newdata$m1b26[m1a4==3 &m1b26== -6 ]=4
newdata$m1b28[m1a4==3 &m1b28== -6 ]=3
#(Adding a fator "Mothers are married") 
newdata$m1b14[m1a4==1& m1b14==-6] = 0   
newdata$m1b14a[m1a4==1& m1b14a==-6] = 0
newdata$m1b15a[m1a4==1& m1b15a==-6] = 0
newdata$m1b15b[m1a4==1 & m1b15b== -6]= 0
newdata$m1b15c[m1a4==1 & m1b15c== -6]= 0 
newdata$m1b15d[m1a4==1 & m1b15d== -6]= 0 
newdata$m1b15e[m1a4==1 & m1b15e== -6]= 0 
newdata$m1b15f[m1a4==1 & m1b15f== -6]= 0 
newdata$m1b16[m1a4==1 & m1b16== -6]= 0 
newdata$m1b17[m1a4==1 & m1b17== -6]= 0 
newdata$m1b18[m1a4==1 & m1b18== -6]= 0 
newdata$m1b19[m1a4==1 & m1b19== -6]= 0
newdata$m1b27[m1a4==3 & m1b27==-6]=3 
newdata$m1b4g[m1a4 == 1 | m1a4 == 3] = 2
#########################################################################
newdata$m1b14a[m1b14==5 & m1b14== -6] = 5 # (skip-certain will marry BF-certain will ever marry someone)
newdata$m1b15f[m1b15f== -7]= -3 # (recoding -7NA as -3 missing)
##*****newdata$m1b19[m1b19==3 & m1a4==2]= 3******#
newdata$m1b20[m1a4==1 & m1b19== -6]= 1  #(responders are married,assume living together)
#####****newdata$m1b20[m1a4==3 & m1b20== -6]= 2  (father is unknown -assume not living together)
 
#(missing if miscoded father unknown)

newdata$m1b14[m1a4 == 2 & m1b0 == 1] = -3 #(missing if miscoded father unknown)
newdata$m1b14a[m1a4 == 2 & m1b0 == 1] = -3
newdata$m1b15a[m1a4 == 2 & m1b0 == 1] = -3
newdata$m1b15b[m1a4 == 2 & m1b0 == 1] = -3
newdata$m1b15c[m1a4 == 2 & m1b0 == 1] = -3
newdata$m1b15d[m1a4 == 2 & m1b0 == 1] = -3
newdata$m1b15e[m1a4 == 2 & m1b0 == 1] = -3
newdata$m1b15f[m1a4 == 2 & m1b0 == 1] = -3
newdata$m1b16[m1a4 == 2 & m1b0 == 1] = -3
newdata$m1b17[m1a4 == 2 & m1b0 == 1] = -3
newdata$m1b18[m1a4 == 2 & m1b0 == 1] = -3
newdata$m1b19[m1a4 == 2 & m1b0 == 1] = -3
newdata$m1b20[m1a4 == 2 & m1b0 == 1] = -3
newdata$m1b21[m1a4 == 2 & m1b0 == 1] = -3
newdata$m1b21a[m1a4 == 2 & m1b0 == 1] = -3
newdata$m1b22a[m1a4 == 2 & m1b0 == 1] = -3
newdata$m1b22b[m1a4 == 2 & m1b0 == 1] = -3
newdata$m1b22c[m1a4 == 2 & m1b0 == 1] = -3
newdata$m1b22d[m1a4 == 2 & m1b0 == 1] = -3

newdata$m1b15a = factor(newdata$m1b15a)
newdata$m1b15b = factor(newdata$m1b15b)
newdata$m1b15c = factor(newdata$m1b15c)
newdata$m1b15d = factor(newdata$m1b15d)
newdata$m1b15e = factor(newdata$m1b15e)
newdata$m1b15f = factor(newdata$m1b15f)

newdata$m1b18 = factor(newdata$m1b18)
newdata$m1b19 = factor(newdata$m1b19)

newdata$m1b26 = factor(newdata$m1b26)

############################ Section C ####################################

########################################SECTION D ###################################

################################ SECTION E ###################################

######################## SECTION F ##################### 
#############################SECTION G###################################
############################# Section H ###############################
##################### Section I #############################################
############################### SECTION J #########################
############ m1natwt_rep1-33 m1natwtx_rep1-33 m1citywt_rep1-10 not in a data #######  
################### codding ERROR  section E1 ####################################
#newdata$m1e1c1[m1e1c1==2 & m1e1b1==0]=3 # Responder live 
#newdata$m1e1c1[m1e1c1==1 & m1e1b1==1]=2
#newdata$m1e1c1[m1e1c1==2 & m1e1b1==2]=1
#newdata$m1e1c2[m1e1c2==1 & m1e1b2==2]=1
##### NA coding ##############################

newdata$m1e2[m1e2==-7]=-3 
newdata$m1e2[newdata$m1e2 %in% c(-2,-3,-9)] = NA

############################# SECTION G ###############

###############################SECTION H #####################

########################### Section I ###############################
###########################SECTION J ########################################

################ SKip recoding SEC E ##################
newdata$m1e3b1[m1e3a==2 & m1e3b1== -6] = 3  # No financial support
newdata$m1e3b2[m1e3a==2 & m1e3b2== -6] = 3
newdata$m1e3b3[m1e3a==2 & m1e3b3== -6] = 3
newdata$m1e3b4[m1e3a==2 & m1e3b4== -6] = 3
newdata$m1e3b5[m1e3a==2 & m1e3b5== -6] = 3
newdata$m1e3d1[m1e3c==2 & m1e3d1== -6] = 3 # No house support
newdata$m1e3d2[m1e3c==2 & m1e3d2== -6] = 3
newdata$m1e3d3[m1e3c==2 & m1e3d3== -6] = 3
newdata$m1e3d4[m1e3c==2 & m1e3d4== -6] = 3
newdata$m1e3d5[m1e3c==2 & m1e3d5== -6] = 3
newdata$m1e3f1[m1e3e==2 & m1e3f1== -6] = 3 # No child care support
newdata$m1e3f2[m1e3e==2 & m1e3f2== -6] = 3
newdata$m1e3f3[m1e3e==2 & m1e3f3== -6] = 3
newdata$m1e3f4[m1e3e==2 & m1e3f4== -6] = 3
newdata$m1e3f5[m1e3e==2 & m1e3f5== -6] = 3
newdata$m1f1a[m1f1b > 0] = newdata$m1f1a[m1f1b > 0] + newdata$m1f1b[m1f1b > 0]/12
#newdata$m1f1a[m1f1c==1] =  round(cm1age[m1f1c==1])
#newdata$m1f1b[m1f1c==1] = NA

newdata$m1f2[m1f2== -6]= 3 # not own or rented, gove project
#newdata$m1h2b[m1h2b== -6 & m1h2== 1]=0 # Born in United states
#newdata$m1h2c[m1h2c== -6 & m1h2b== -6]=0    # Born in United states
newdata$m1h3b[m1h3b== -6 & m1h3a== 2]=0  # not hispanic 
newdata$m1i3[m1i3== -6 & m1i2d1== 1]=0 
newdata$m1i4[m1i4== -6 & m1i2d1== 1]=0  # father is unknown
newdata$m1i4a[m1i4a== -6 & m1i2d1== 1]=0 
newdata$m1i4b[m1i4b== -6 & m1i2d1== 1]=0 
newdata$m1i4b[m1i4b== -6 & m1i4a== 2]=0 # not Hispanic origion
newdata$m1i6[m1i6== -6 & m1i2d1== 1]=-3
#newdata$m1i6a2[newdata$m1i6a2== -6 & m1i6 %in% c(1,2,3,4,5,101)] = -3
newdata$m1i7[m1i7== -6 & m1i2d1== 1]=-3 
newdata$m1i8[m1i8== -6 & m1i2d1== 1]=-3
newdata$m1i9[m1i9== -6 & m1i2d1== 1]=-3
newdata$m1i10[m1i10== -6 & m1i2d1== 1]=-3
newdata$m1i11[m1i11== -6 & m1i10== 1]=-0 # living with baby's mother



########
#factors

newdata$m1i3 = factor(newdata$m1i3)
newdata$m1i4 = factor(newdata$m1i4)
newdata$m1i6 = factor(newdata$m1i6)
newdata$m1i7 = factor(newdata$m1i7)
newdata$m1i8 = factor(newdata$m1i8)
newdata$m1i9 = factor(newdata$m1i9)
newdata$m1i11 = factor(newdata$m1i11)

drop = which(names(newdata) %in% c('m1f1c', 'm1f1b'))
newdata = newdata[,-drop]
