This code ran on a high-perfomance cluster.  In total, I would expect it to take several weeks to run; I did it in smaller subsets.

The submission required four steps:
1) Data cleaning.  All files required to replicate data cleaning are called from "cleaning_code.R" in the Code directory.  This should only take a few minutes.
2) Variable selection.  There were five different approaches to variable selection.  The are called sequentially from "variable_selection.R" in the Code directory.  This could also be done by separately calling the individual files sourced there; each one takes anywhere from a few hours to a day and a half.
3) Model estimation.  This is where the bulk of the computational time is required.  The "estimation_refactored.R" file in the Code directory will run all models used for the paper.  Running it as written would take several weeks, however.  I would recommend adapting to whatever parallel architecture you might have access to.
4) Data analysis and production of figures and tables.  This will only take a few minutes, but requires some input data that was compiled by hand.  Running the code will produce all figures from the paper; the data for Table 1 are in the output, but not automatically processed into table form.